Bug 195827 - Can't resume from hibernate running X on SiS 315PRO
Can't resume from hibernate running X on SiS 315PRO
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-18 05:07 EDT by Sitsofe Wheeler
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.6.18-1.2257.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 10:37:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sitsofe Wheeler 2006-06-18 05:07:18 EDT
Description of problem:
Resuming from a hibernate produces a
swsusp: Resume mismatch: memory size
error if X is running when the computer is hibernated with pm-hibernate. The
computer then proceeds to do a normal start everything from scratch boot.

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2133_FC5

How reproducible:
Reproducible every time.

Steps to Reproduce:
1. Boot computer to runlevel 5 so X is started.
2. Log in via ssh and become root.
3. Run modprobe -r acpi_cpufreq (see Bug #195367)
4. Run pm-hibernate .
5. Wait for the machine to power down. Press the power button and wait for
Fedora to start.
  
Actual results:
swsusp: Resume mismatch: memory size
is printed, normal boot is done and the ext3 journal recovered etc.

Expected results:
System to go back to the state it was in just before hibernation.

Additional info:
This problem does not occur if X is not running. Suspending and resuming from
RAM using pm-suspend works if using the "standby" rather than the "mem" option.
Comment 1 Sitsofe Wheeler 2006-06-18 05:10:19 EDT
Forgot add this /sbin/lspci -vvv output:
02:03.0 VGA compatible controller: Silicon Integrated Systems [SiS] 315PRO
PCI/AGP VGA Display Adapter (prog-if 00 [VGA])
        Subsystem: Silicon Integrated Systems [SiS] 315PRO PCI/AGP VGA Display
Adapter
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 39 (750ns min, 4000ns max)
        Interrupt: pin A routed to IRQ 5
        BIST result: 00
        Region 0: Memory at d0000000 (32-bit, prefetchable) [size=256M]
        Region 1: Memory at e5000000 (32-bit, non-prefetchable) [size=256K]
        Region 2: I/O ports at c400 [size=128]
        [virtual] Expansion ROM at e4020000 [disabled] [size=64K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
Comment 2 Dave Jones 2006-10-16 13:57:50 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Sitsofe Wheeler 2006-12-22 10:37:17 EST
Other than some nonsense about grub that is spewed on the open terminal this has
been well and truly fixed.

Resolving CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.